v1/ielts/evaluation/{id_}
Retrieve a specific evaluation report using its unique identifier (ID). Clients can access past evaluations or reference specific reports by providing the evaluation ID.
GET
/
v1
/
ielts
/
evaluation
/
{id_}
Retrieve Evaluation Report
curl --request GET \
--url https://api-staging.crazygoldfish.com/v1/ielts/evaluation/{id_} \
--header 'Authorization: Bearer <token>' \
--header 'accept: <accept>'import requests
url = "https://api-staging.crazygoldfish.com/v1/ielts/evaluation/{id_}"
headers = {
"accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://api-staging.crazygoldfish.com/v1/ielts/evaluation/{id_}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation_id": "123456789",
"client_id": "c0001",
"institution_id": "67890XYZ",
"teacher_id": "98765LMN",
"parent_id": "54321PQR",
"evaluation_data": {
"student_id": "11223STU",
"test_type": "AC",
"student_name": "John Doe",
"image_urls": [
"http://example.com/image1.jpg",
"http://example.com/image2.jpg"
],
"evaluation_text": [
{
"question_number": "1",
"question_id": "q1",
"section": "writing",
"question_type": "ilt001",
"image_url": "http://example.com/image1_processed.jpg",
"question_text": "You recently stayed for three nights at the\nMountainview Hotel. The hotel manager, David\nHodge, has written you an email asking for your\nfeedback on your stay.\nYou liked:\n• Location close to hiking trails\n• Restaurant, especially vegan options\nOne problem:\n• the heater in your room made a loud noise\nat night\nWrite a response email. Tell the manager:\n• What you liked\n• What was a problem\n• If you would return to the hotel for another\nStay\n\n",
"question_media": "http://example.com/audio1.mp3",
"answer_text": "Hello David,\nI love staying at your Hotel specially for the location near the hiking\ntrails and the restaurant. I usually don't like vegan food but yours\nwas outstanding. As I said to your frontdesk staff the only problem\nthat I had was the heater that made an awfull amount of noise\nduring the night. I understand that there were no other rooms\navailable, but that doesn't really make the noise less loud.\nEventhoug I kinda clinged to the noise thing on this email l'd choose\nyour hotel for an eventual return trip, l'd just ask for a room with a\nquiet heater if that's the case.\n",
"answer_media": "http://example.com/audio2.mp3",
"score": 24,
"reason": "Good understanding of the lecture content but needs more detail.",
"scope_of_improvement": "Provide more specific examples and details.",
"answer_objective_evaluation": [
{
"objective_error_id": "e1",
"objective_error_name": "Grammar",
"objective_error_name_feedback": "Minor grammatical mistakes."
}
],
"answer_holistic_evaluation": [
{
"holistic_criteria_id": "h1",
"holistic_criteria_name": "Content",
"holistic_criteria_score": 4,
"holistic_criteria_name_feedback": "Well-covered but could be more thorough."
}
],
"answer_custom_evaluation": [
{
"custom_criteria_id": "h1",
"custom_criteria_name": "Content",
"custom_criteria_score": 4,
"custom_criteria_name_feedback": "Well-covered but could be more thorough."
}
]
}
]
}
}{
"error": "Evaluation report not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Path Parameters
Unique identifier of the evaluation report.
Example:
"123456789"
Response
Successful response
Example:
"123456789"
Example:
"c0001"
Identifier of the institution to which the student belongs (optional).
Example:
"67890XYZ"
Identifier of the teacher responsible for the evaluation (optional).
Example:
"98765LMN"
Identifier of the parent associated with the student (optional).
Example:
"54321PQR"
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Retrieve Evaluation Report
